<?
//  Autentificator
//  Gestión de Usuarios PHP+Mysql+sesiones
//  by Pedro Noves V. (Cluster)
//  clus@hotpop.com
// -----------------------------------------

// Cargamos variables
date_default_timezone_set("America/Mexico_City");
require ("conectar.php");
require ("autentificador/aut_config.inc.php");
// le damos un mobre a la sesion (por si quisieramos identificarla)
session_start();
require ("administrador/cierreTurno.php");




session_name($usuarios_sesion);
// iniciamos sesiones
$id=$_SESSION['usuario_id'];
$horaActual=date("H:i:s");
$sql="DELETE FROM usuchat WHERE id_usu='$id'";
 mysql_query($sql);
// destruimos la session de usuarios.
$sql="UPDATE asistencias SET h_salida='$horaActual' WHERE id_empleado='$id' and fecha=CURDATE()";
mysql_query($sql);
$sql="SELECT h_entrada, h_salida FROM asistencias WHERE id_empleado='$id' and fecha=CURDATE()";
$r=mysql_query($sql);
$ls=mysql_fetch_array($r);
$he=$ls["h_entrada"];
$hs=$ls["h_salida"];
$noh=$hs-$he;

$sql="SELECT turno,puesto FROM empleados WHERE id_empleado='$id'";
$t=mysql_query($sql);
$lt=mysql_fetch_array($t);
$turnoemp=$lt["turno"];
$puesto=$lt["puesto"];
if($puesto=="4" || $puesto=="5" || $puesto=="16"){
if($puesto=="4" || $puesto=="16"){
    if($turnoemp=="MATUTINO"){
	   $hentrada="07:15:00";if($id==75 || $id==165 || $id==121){$hentrada="09:00:00";}
	   $hsalida="14:00:00";if($id==75 || $id==165 || $id==121){$hsalida="16:00:00";}
	 } 
	 if($turnoemp=="VESPERTINO"){
	   $hentrada="14:15:00";
	   $hsalida="20:00:00";
	 }
	 if($turnoemp=="NOCTURNO"){
	   $hentrada="17:15:00";if($id==102){$hentrada="16:40:00";}
	   $hsalida="24:00:00";if($id==102){$hsalida="23:40:00";}
	 }
}
if($puesto=="5"){
    if($turnoemp=="MATUTINO"){
	   $hentrada="07:15:00";
	   $hsalida="13:00:00";
	 } 
	 if($turnoemp=="VESPERTINO"){
	   $hentrada="14:15:00";
	   $hsalida="19:00:00";
	 }
	 if($turnoemp=="NOCTURNO"){
	   $hentrada="17:15:00";
	   $hsalida="23:00:00";
	 }
}
/*if($hsalida>$hs){
    $sql="UPDATE asistencias SET tipoasistencia='RETARDO' WHERE id_empleado='$id' and fecha=CURDATE()";
	mysql_query($sql);
 }elseif($hsalida<=$hs && $hentrada>=$he){
    $sql="UPDATE asistencias SET tipoasistencia='ASISTENCIA' WHERE id_empleado='$id' and fecha=CURDATE()";
	mysql_query($sql);
 }*/
}
session_destroy();
require("index.php");
?>